<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView style="@style/cardViewStyle">

    <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:gravity="center"
        android:orientation="vertical"
        android:padding="8dp">

        <TextView
            android:id="@+id/lightNameView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/app_name"
            android:textColor="@color/listMainColor"
            android:textSize="@dimen/textFontSize" />

        <TextView
            android:id="@+id/lightStatusView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/lightNameView"
            android:text="@string/app_name"
            android:textColor="@color/listAuxiliaryColor" />

        <!--路灯图片隐藏-->
        <ImageView
            android:id="@+id/lightStatusImageView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/lightStatusView"
            android:background="@drawable/ic_streetlight_icon_off"
            android:visibility="gone" />

        <ImageView
            android:id="@+id/lightSwitch"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_alignParentBottom="true"
            android:background="@drawable/ic_switch_on" />
    </RelativeLayout>
</androidx.cardview.widget.CardView>